Debian Bug report logs - #564799
beast: should this package be removed?

version graph

Package: src:beast; Maintainer for src:beast is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: Simon McVittie <smcv@debian.org>

Date: Mon, 11 Jan 2010 23:36:02 UTC

Severity: serious

Tags: sid, squeeze, wheezy

Found in version beast/0.7.1-5

Fixed in version beast/0.7.4-1

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
Bug#564799; Package src:beast. (Mon, 11 Jan 2010 23:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
New Bug report received and forwarded. Copy sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>. (Mon, 11 Jan 2010 23:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: beast: should this package be removed?
Date: Mon, 11 Jan 2010 23:32:40 +0000
[Message part 1 (text/plain, inline)]
Source: beast
Version: 0.7.1-5
Severity: serious
Justification: RC bugs, no maintainer upload since 2008, low popcon
User: debian-qa@lists.debian.org
Usertags: proposed-removal

beast seems like a possible candidate for removal from Debian:

* low popcon (36 votes)
* no upstream releases since 2006 (although there seemed to be some activity
  on Sourceforge in 2009)
* RC-buggy, several recent FTBFSs
* no maintainer upload since 2008

If you want to keep this package around in Debian, please just close this bug,
and do an upload to fix the issues in it.

If you don't think it's worth keeping, please send the following commands
to control@bugs.debian.org, replacing nnnnnn with this bug's number:

severity nnnnnn normal
reassign nnnnnn ftp.debian.org
retitle nnnnnn RM: beast -- RoM; <reasons>
thanks 

For more information, see
http://wiki.debian.org/ftpmaster_Removals
http://ftp-master.debian.org/removals.txt

Regards,
    smcv
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
Bug#564799; Package src:beast. (Tue, 12 Jan 2010 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Westerfeld <stefan@space.twc.de>:
Extra info received and forwarded to list. Copy sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>. (Tue, 12 Jan 2010 13:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 564799@bugs.debian.org (full text, mbox):

From: Stefan Westerfeld <stefan@space.twc.de>
To: Simon McVittie <smcv@debian.org>
Cc: 564799@bugs.debian.org
Subject: Re: beast: should this package be removed?
Date: Tue, 12 Jan 2010 14:01:36 +0100
   Hi!

On Mon, Jan 11, 2010 at 11:32:40PM +0000, Simon McVittie wrote:
> Source: beast
> Version: 0.7.1-5
> Severity: serious
> Justification: RC bugs, no maintainer upload since 2008, low popcon
> User: debian-qa@lists.debian.org
> Usertags: proposed-removal
> 
> beast seems like a possible candidate for removal from Debian:
> 
> * low popcon (36 votes)
> * no upstream releases since 2006 (although there seemed to be some activity
>   on Sourceforge in 2009)
> * RC-buggy, several recent FTBFSs
> * no maintainer upload since 2008

I can comment on two of these reasons, since I work on upstream beast: we are
working towards a new release which includes new instruments and new features.

We also try to incorporate changes which make beast build in environments
with new tools (such as g++-4.4) from linux distributions like Debian and
Ubuntu, so some reasons for FTBFS should be gone with the new beast-0.7.2
which we're planning to release soon.

I'm Debian/unstable and Debian/stable user myself, and git HEAD beast
builds fine on both.

   Cu... Stefan
-- 
Stefan Westerfeld, Hamburg/Germany, http://space.twc.de/~stefan




Added tag(s) squeeze and sid. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Wed, 13 Jan 2010 14:33:19 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:47 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
Bug#564799; Package src:beast. (Fri, 06 May 2011 13:45:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>. (Fri, 06 May 2011 13:45:27 GMT) Full text and rfc822 format available.

Message #19 received at 564799@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 564799@bugs.debian.org
Cc: 564799-submitter@bugs.debian.org
Subject: beast: should this package be removed?
Date: Fri, 6 May 2011 15:28:42 +0200
Hi all,

the Debian Multimedia Maintainers team is going to take over this
(with the ACK from Sam Hocevar, who is a member of the team).
We'll upload a new release soon.

Regards,

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0




Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Fri, 06 May 2011 13:46:00 GMT) Full text and rfc822 format available.

Message sent on to Simon McVittie <smcv@debian.org>:
Bug#564799. (Fri, 06 May 2011 13:46:18 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Sat, 07 May 2011 12:25:10 GMT) Full text and rfc822 format available.

Notification sent to Simon McVittie <smcv@debian.org>:
Bug acknowledged by developer. (Sat, 07 May 2011 12:25:35 GMT) Full text and rfc822 format available.

Message #29 received at 564799-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 564799-close@bugs.debian.org
Subject: Bug#564799: fixed in beast 0.7.4-1
Date: Sat, 07 May 2011 12:17:20 +0000
Source: beast
Source-Version: 0.7.4-1

We believe that the bug you reported is fixed in the latest version of
beast, which is due to be installed in the Debian FTP archive:

beast-doc_0.7.4-1_all.deb
  to main/b/beast/beast-doc_0.7.4-1_all.deb
beast_0.7.4-1.debian.tar.gz
  to main/b/beast/beast_0.7.4-1.debian.tar.gz
beast_0.7.4-1.dsc
  to main/b/beast/beast_0.7.4-1.dsc
beast_0.7.4-1_amd64.deb
  to main/b/beast/beast_0.7.4-1_amd64.deb
beast_0.7.4.orig.tar.bz2
  to main/b/beast/beast_0.7.4.orig.tar.bz2
bse-alsa_0.7.4-1_amd64.deb
  to main/b/beast/bse-alsa_0.7.4-1_amd64.deb
libbse-0.7-4_0.7.4-1_amd64.deb
  to main/b/beast/libbse-0.7-4_0.7.4-1_amd64.deb
libbse-dev_0.7.4-1_all.deb
  to main/b/beast/libbse-dev_0.7.4-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 564799@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated beast package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 07 May 2011 12:11:50 +0200
Source: beast
Binary: beast bse-alsa libbse-0.7-4 libbse-dev beast-doc
Architecture: source amd64 all
Version: 0.7.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 beast      - music synthesis and composition framework
 beast-doc  - Documentation for BEAST/BSE
 bse-alsa   - ALSA plugin for BEAST
 libbse-0.7-4 - music synthesis and composition framework - shared library
 libbse-dev - music synthesis and composition framework - development files
Closes: 563524 564799 621234 625854
Changes: 
 beast (0.7.4-1) unstable; urgency=low
 .
   [ Sam Hocevar (Debian packages) ]
   * debian/control:
     + Loosen glib versioned build-dependency.
 .
   [ Alessio Treglia ]
   * Taking this under Debian Multimedia Maintainers's umbrella,
     ACK'd by Sam Hocevar (Closes: #564799):
     - Move Sam to the Uploaders field.
     - Add myself to the Uploaders field.
     - Move packaging to git, update VCS-* tags properly.
   * Acknowledge NMU: 0.7.1-5.2: thanks to Stefano Zacchiroli for the good job.
   * Acknowledge NMU: 0.7.1-5.1: thanks to Chris Lamb for the good job.
   * New upstream release (Closes: #625854):
     - Overview of Changes in BEAST/BSE 0.7.4:
       + Renamed the project to Better Audio System / Better Sound Engine
       + Moved project website to: http://beast.testbit.eu/
       + Various build system fixes
       + License fixups for some scripts
       + Fixed subnormal tests on AMD64 if SSE unit is in DAZ mode
       + Replaced slow resampler checks with a much faster resampling test
       + Performance improvements for various tests
       + GLib 2.28 unit test porting
       + Speed improvements for record field name
       + Fixed XRUNs in ALSA driver on 64bit systems
       + Added beast.doap
       + PO handling improvements.
       + Updated German translation.
       + Updated Norwegian bokmål translation
       + Added e-Telugu translation
     - Overview of Changes in BEAST/BSE 0.7.2:
       + Moved Beast/BSE to GNU LGPL, use AS-IS license for examples
       + Module changes and additions:
         ArtsCompressor - relicensed to LGPL
         BseContribSampleAndHold - relicensed to LGPL
         DavXTalStrings - Use deterministic random numbers for unit tests.
         BseNoise - Improved random number generator.
       + Switched to autogenerated ChangeLogs
       + Error bell can be muted in beast preferences dialog
       + Added multisample creation/editing command line tool: bsewavetool
       + Support adjustable volume, pitching and drum envelopes in .bsewave files
       + Added Retro Acoustic drum kit
       + New loadable Instruments/Effects:
         BQS Bass Drum E8012
         BQS Slow Hum
         FSM Fresh Water Bass instrument
         FSM Growl Bass instrument
         FSM Synth String Sweep
       + Added support for loading 32bit and 24bit PCM-format WAV files
       + Added support for gcc-4.4 and automake-1.10
       + Added support for guile-1.8, guile-1.6 remains as minimum requirement
       + Various fixes, improvements and much improved test coverage.
       + Bug fixes: #452604, #468229, #344388, #451086, #450724, #454121,
         #491552, #450490, #441936, #336766, #433431, #474332, #474244,
         #456879, #456408, #424897
       + Migrated translation support to use awk, sed and po/Makefile.am.
       + Updated German translation
       + Updated Italien translation
       + Updated Occitan translation
       + Updated Brazilian Portugues translation
       + Updated British English translation
       + Updated Spanish translation
       + Updated Slovenian translation
       + Updated Danish translation
       + Updated French translation
       + Added Norwegian bokmal translation
       + Added Ukrainian translation
   * Switch to DH7 pure form, 3.0 (quilt) format.
   * Bump DH compatibility to 7.
   * Split in several packages:
     - libbse-0.7-4 to provide shared library.
     - libbse-dev to provide the development files.
     - beast to provide the executables.
     - bse-alsa to provide the plugin for ALSA:
       + Replacement for the current bse-alsa built from bse.
     - beast-doc to provide the documentation.
   * debian/control:
     - One-dep-per-line style.
     - Add Homepage field.
     - Bump up debhelper requirement.
     - Build-Depends on libasound2-dev.
     - Build-Depends on autotools-dev.
     - Build with guile-1.8.
     - Drop shared-mime-info build-dependency.
     - Add ${misc:Depends} to beast's Depends field.
     - beast Breaks bse-alsa << 0.7.4.
     - Add Enhances: beast to bse-alsa.
     - Remove unneeded Conflicts on cmt << 1.15, current stable has cmt 1.16
     - Fix lintian "debhelper-but-no-misc-depends" warning.
     - Bump Standards.
     - Add proper Breaks,Replaces fields.
     - Add Suggests: beast-doc to beast's and libbse-dev's stanzas.
   * debian/rules:
     - Don't pass unrecognized options to configure, add --enable-debug=yes.
     - Don't install install symlinks by hand, use dh_link.
     - Exclude plugins,alsa-driver from being treated as shared libraries.
     - Remove manual deletion of /usr/share/mime created files;
       thanks to Ilya Barygin (Closes: #563524).
     - Link with --as-needed.
     - Don't remove data/beast-audio-x-bse.png in the clean target.
     - Install NEWS file as upstream changelog.
     - A bit of clean-up.
     - Get rid of unneeded *.la files (Closes: #621234).
   * debian/copyright:
     - The sources have been relicensed to LGPL.
     - Rewrite as per DEP-5 spec proposal.
     - Add missing copyright,licensing information.
     - Update copyright years.
   * Add watch file.
   * Add gbp config file.
   * Remove patches applied upstream:
     - debian/patches/200_signal_h.diff
     - debian/patches/201_sparc_alignment.diff
     - debian/patches/202_gcc43.diff
     - debian/patches/300_mksignals_bashism.diff
     - debian/patches/400_desktop_file.diff
   * Add patch to fix FTBFS with GCC4.5.
   * Add patch to remove Encoding field from the desktop file.
   * Remove unneeded debian/README.Debian.
Checksums-Sha1: 
 4344d28b459d55b5277a7914e8b514a85556b301 1569 beast_0.7.4-1.dsc
 949ce9741e10a45914c32ad9972d13e7b932cfe8 6425747 beast_0.7.4.orig.tar.bz2
 8f03f228b3efccc8e4e3d7a3ab90119a250eca9c 14707 beast_0.7.4-1.debian.tar.gz
 0064b4cfa79b1b34cb63530c4b6b1f04be81afcf 2460214 beast_0.7.4-1_amd64.deb
 cef1442d5cd70aa84d3b440c923e5ddee808c276 35298 bse-alsa_0.7.4-1_amd64.deb
 720cec934923be533bb65f42261981e5f531fd30 1470702 libbse-0.7-4_0.7.4-1_amd64.deb
 10c05ad31e6dbfcb83522e3e111055e0a9135178 307846 libbse-dev_0.7.4-1_all.deb
 90320c468d570d5168a4f30094bd00fc05e55c33 139374 beast-doc_0.7.4-1_all.deb
Checksums-Sha256: 
 4773a2add01e20b700ecaad04ee2707852700b6f9adfa862c3ab41af80e7cbcb 1569 beast_0.7.4-1.dsc
 784be2f5bf35e2ced5fd8aef9e43be3e362eb727f00ef1b2c67b54092e3c7da1 6425747 beast_0.7.4.orig.tar.bz2
 3a352234fad16269e1dfe6e5493d0817b67213664fc0040ccf2136fcdaf32607 14707 beast_0.7.4-1.debian.tar.gz
 0751a32393d821b62839710d53667f2c2bb8dc6b374201072b78a059a455e2b1 2460214 beast_0.7.4-1_amd64.deb
 dfac0e13992b074118904f6a22e765ed0c672974ae8530d0dc42e1aab9139e19 35298 bse-alsa_0.7.4-1_amd64.deb
 7ebb7e88794636102ff7d1d2341116de9ef15e9253713bcbd33bad142117490d 1470702 libbse-0.7-4_0.7.4-1_amd64.deb
 eb3f30b2cf387c16ba250c9e6591310f003d142a27f24225fe5b786cf01ce4c7 307846 libbse-dev_0.7.4-1_all.deb
 a5bb277c6ccb28a4d8ecf337fc7b16e3c11f85850644c65a04b48fefa8403a43 139374 beast-doc_0.7.4-1_all.deb
Files: 
 609227bd1d15c161dae21e5d171b44e8 1569 gnome extra beast_0.7.4-1.dsc
 f383762ef20a6ed1ee0ee0e43172bfd6 6425747 gnome extra beast_0.7.4.orig.tar.bz2
 f3c1a92bf463039a7acd73dfeca9fb0c 14707 gnome extra beast_0.7.4-1.debian.tar.gz
 c8c0ae885c8de36128a8a1e149a7a2cf 2460214 gnome extra beast_0.7.4-1_amd64.deb
 a8874f131821fa5de104e973036ebf32 35298 sound extra bse-alsa_0.7.4-1_amd64.deb
 b88b1201df80b7a3dc88bb8f9de02224 1470702 libs extra libbse-0.7-4_0.7.4-1_amd64.deb
 61df8fdfbb2ad4a666f412065fec2673 307846 libdevel extra libbse-dev_0.7.4-1_all.deb
 02d4b4b35e88e355d872755f2a65eac6 139374 doc extra beast-doc_0.7.4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3FJNQACgkQRdSMfNz8P9ARMwCdEmdR21nGOFQByCzhi21DDsb2
tKMAn1vxUatALqwKrMT3f1dTdfgi/p8P
=hMit
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Jun 2011 07:39:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:49:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.